Bug 968857 - Review Request: nodejs-tape - Tap-producing test harness for Node.js and browsers
Review Request: nodejs-tape - Tap-producing test harness for Node.js and brow...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: T.C. Hollingsworth
Fedora Extras Quality Assurance
:
Depends On: 968855 968856 968859
Blocks: nodejs-reviews 992322
  Show dependency treegraph
 
Reported: 2013-05-30 02:41 EDT by Jamie Nguyen
Modified: 2013-08-24 19:45 EDT (History)
2 users (show)

See Also:
Fixed In Version: nodejs-tape-1.0.4-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-24 14:39:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tchollingsworth: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jamie Nguyen 2013-05-30 02:41:07 EDT
Spec URL: http://jamielinux.fedorapeople.org/tape/nodejs-tape.spec
SRPM URL: http://jamielinux.fedorapeople.org/tape/SRPMS/nodejs-tape-1.0.2-1.fc19.src.rpm
Fedora Account System Username: jamielinux

Description:
Tap-producing test harness for Node.js and browsers.
Comment 1 T.C. Hollingsworth 2013-08-05 00:27:55 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Status: APPROVED, with TODOs post-review

===== TODO Post-Review ====

[!]: Update to the latest upstream release.

     The latest upstream release is 0.0.4.
     
[!]: Enable tests.

     Tests are failing due to a missing build dependency.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/fedora/patches/FedoraReview/968857-nodejs-
     tape/licensecheck.txt
     
        MIT in LICENSE file -> OK
     
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
        nodejs macros used -> OK
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
        %{nodejs_arches} used -> OK
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[!]: Latest version is packaged.

% npm -q view tape version
1.0.4

[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: %check is present and all tests pass.

        even when enabled the tests fail due to a unpackaged nodejs-falafel

[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-tape-1.0.2-1.fc20.noarch.rpm
          nodejs-tape-1.0.2-1.fc20.src.rpm
nodejs-tape.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-tape.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-tape.noarch: W: only-non-binary-in-usr-lib
nodejs-tape.noarch: W: dangling-symlink /usr/lib/node_modules/tape/node_modules/deep-equal /usr/lib/node_modules/deep-equal
nodejs-tape.noarch: W: dangling-symlink /usr/lib/node_modules/tape/node_modules/defined /usr/lib/node_modules/defined
nodejs-tape.noarch: W: dangling-symlink /usr/lib/node_modules/tape/node_modules/jsonify /usr/lib/node_modules/jsonify
nodejs-tape.noarch: W: dangling-symlink /usr/lib/node_modules/tape/node_modules/through /usr/lib/node_modules/through
nodejs-tape.noarch: W: no-manual-page-for-binary tape
nodejs-tape.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-tape.src: W: spelling-error %description -l en_US js -> dis, ks, j
2 packages and 0 specfiles checked; 0 errors, 10 warnings.

OK


Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-tape
nodejs-tape.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-tape.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-tape.noarch: W: only-non-binary-in-usr-lib
nodejs-tape.noarch: W: dangling-symlink /usr/lib/node_modules/tape/node_modules/deep-equal /usr/lib/node_modules/deep-equal
nodejs-tape.noarch: W: dangling-symlink /usr/lib/node_modules/tape/node_modules/defined /usr/lib/node_modules/defined
nodejs-tape.noarch: W: dangling-symlink /usr/lib/node_modules/tape/node_modules/jsonify /usr/lib/node_modules/jsonify
nodejs-tape.noarch: W: dangling-symlink /usr/lib/node_modules/tape/node_modules/through /usr/lib/node_modules/through
nodejs-tape.noarch: W: no-manual-page-for-binary tape
1 packages and 0 specfiles checked; 0 errors, 8 warnings.
# echo 'rpmlint-done:'

OK

Requires
--------
nodejs-tape (rpmlib, GLIBC filtered):
    /usr/bin/env
    nodejs(engine)
    npm(deep-equal)
    npm(defined)
    npm(jsonify)
    npm(through)

OK

Provides
--------
nodejs-tape:
    nodejs-tape
    npm(tape)

OK

Source checksums
----------------
http://registry.npmjs.org/tape/-/tape-1.0.2.tgz :
  CHECKSUM(SHA256) this package     : 9b4c8a5effee58579c34484723fc9828b6080daa8f043598561a7493df31b74d
  CHECKSUM(SHA256) upstream package : 9b4c8a5effee58579c34484723fc9828b6080daa8f043598561a7493df31b74d

OK

Generated by fedora-review 0.4.0 (b80cd0f) last change: 2013-07-09
Buildroot used: fedora-rawhide-vanilla-x86_64
Command line :./try-fedora-review -b968857
Comment 2 T.C. Hollingsworth 2013-08-05 00:29:44 EDT
New Package SCM Request
=======================
Package Name: nodejs-tape
Short Description: Tap-producing test harness for Node.js and browsers
Owners: jamielinux patches
Branches: f19 f18 el6
InitialCC:
Comment 3 Gwyn Ciesla 2013-08-05 08:22:31 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2013-08-05 17:12:52 EDT
nodejs-tape-1.0.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-tape-1.0.4-1.fc19
Comment 5 Fedora Update System 2013-08-05 17:15:00 EDT
nodejs-tape-1.0.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-tape-1.0.4-1.fc18
Comment 6 Fedora Update System 2013-08-05 17:16:02 EDT
nodejs-tape-1.0.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-tape-1.0.4-1.el6
Comment 7 Fedora Update System 2013-08-06 13:16:11 EDT
nodejs-tape-1.0.4-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 8 Fedora Update System 2013-08-24 14:39:56 EDT
nodejs-tape-1.0.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 9 Fedora Update System 2013-08-24 18:24:20 EDT
nodejs-tape-1.0.4-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 10 Fedora Update System 2013-08-24 18:25:25 EDT
nodejs-tape-1.0.4-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.